---
title: MediaStreamTrackAudioSourceOptions
slug: Web/API/MediaStreamTrackAudioSourceOptions
tags:
  - API
  - Audio
  - Dictionary
  - Media
  - MediaStreamTrack
  - MediaStreamTrackAudioSourceOptions
  - Node
  - Options
  - Reference
  - Web Audio
  - Web Audio API
  - sound
---
<div>{{APIRef("Web Audio API")}}</div>

<p><span class="seoSummary">The <code><strong>MediaStreamTrackAudioSourceOptions</strong></code> dictionary is used when specifying options to the {{domxref("MediaStreamTrackAudioSourceNode.MediaStreamTrackAudioSourceNode", "MediaStreamTrackAudioSourceNode()")}} constructor.</span> It isn't needed when using the {{domxref("AudioContext.createMediaStreamTrackSource()")}} method.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("MediaStreamTrackAudioSourceOptions.mediaStreamTrack", "mediaStreamTrack")}}</dt>
 <dd>The {{domxref("MediaStreamTrack")}} from which to take audio data for this node's output.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#dictdef-mediastreamtrackaudiosourceoptions','MediaStreamTrackAudioSourceOptions')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStreamTrackAudioSourceOptions")}}</p>
